This file is indexed.

/usr/include/oce/DsgPrs_RadiusPresentation.hxx is in liboce-visualization-dev 0.18.2-2build1.

This file is owned by root:root, with mode 0o644.

The actual contents of the file can be viewed below.

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
// This file is generated by WOK (CPPExt).
// Please do not edit this file; modify original file instead.
// The copyright and license terms as defined for the original file apply to 
// this header file considered to be the "object code" form of the original source.

#ifndef _DsgPrs_RadiusPresentation_HeaderFile
#define _DsgPrs_RadiusPresentation_HeaderFile

#include <Standard.hxx>
#include <Standard_DefineAlloc.hxx>
#include <Standard_Macro.hxx>

#include <Handle_Prs3d_Presentation.hxx>
#include <Prs3d_Drawer.hxx>
#include <Standard_Real.hxx>
#include <Standard_Boolean.hxx>
#include <DsgPrs_ArrowSide.hxx>
class Prs3d_Presentation;
class TCollection_ExtendedString;
class gp_Pnt;
class gp_Circ;


//! A framework to define display of radii.
class DsgPrs_RadiusPresentation 
{
public:

  DEFINE_STANDARD_ALLOC

  
  //! Adds the point AttachmentPoint, the circle aCircle,
  //! the text aText, and the parameters firstparam and
  //! lastparam to the presentation object aPresentation.
  //! The display attributes of these elements is defined by
  //! the attribute manager aDrawer.
  //! If the Boolean drawFromCenter is false, the
  //! arrowhead will point towards the center of aCircle.
  //! If the Boolean reverseArrow is true, the arrowhead
  //! will point away from the attachment point.
  Standard_EXPORT static   void Add (const Handle(Prs3d_Presentation)& aPresentation, const Handle(Prs3d_Drawer)& aDrawer, const TCollection_ExtendedString& aText, const gp_Pnt& AttachmentPoint, const gp_Circ& aCircle, const Standard_Real firstparam, const Standard_Real lastparam, const Standard_Boolean drawFromCenter = Standard_True, const Standard_Boolean reverseArrow = Standard_False) ;
  
  //! Adds the point AttachmentPoint, the circle aCircle,
  //! the text aText, and the parameters firstparam and
  //! lastparam to the presentation object aPresentation.
  //! The display attributes of these elements is defined by
  //! the attribute manager aDrawer.
  //! The value of the enumeration Arrowside determines
  //! the type of arrow displayed: whether there will be
  //! arrowheads at both ends or only one, for example.
  //! If the Boolean drawFromCenter is false, the
  //! arrowhead will point towards the center of aCircle.
  //! If the Boolean reverseArrow is true, the arrowhead
  //! will point away from the attachment point.
  Standard_EXPORT static   void Add (const Handle(Prs3d_Presentation)& aPresentation, const Handle(Prs3d_Drawer)& aDrawer, const TCollection_ExtendedString& aText, const gp_Pnt& AttachmentPoint, const gp_Circ& aCircle, const Standard_Real firstparam, const Standard_Real lastparam, const DsgPrs_ArrowSide ArrowSide, const Standard_Boolean drawFromCenter = Standard_True, const Standard_Boolean reverseArrow = Standard_False) ;
  
  //! Adds the circle aCircle, the text aText, the points
  //! AttachmentPoint, Center and EndOfArrow to the
  //! presentation object aPresentation.
  //! The display attributes of these elements is defined by
  //! the attribute manager aDrawer.
  //! The value of the enumeration Arrowside determines
  //! the type of arrow displayed: whether there will be
  //! arrowheads at both ends or only one, for example.
  //! If the Boolean drawFromCenter is false, the
  //! arrowhead will point towards the center of aCircle.
  //! If the Boolean reverseArrow is true, the arrowhead
  //! will point away from the attachment point.
  Standard_EXPORT static   void Add (const Handle(Prs3d_Presentation)& aPresentation, const Handle(Prs3d_Drawer)& aDrawer, const TCollection_ExtendedString& aText, const gp_Pnt& AttachmentPoint, const gp_Pnt& Center, const gp_Pnt& EndOfArrow, const DsgPrs_ArrowSide ArrowSide, const Standard_Boolean drawFromCenter = Standard_True, const Standard_Boolean reverseArrow = Standard_False) ;




protected:





private:





};







#endif // _DsgPrs_RadiusPresentation_HeaderFile